import { makeExecutionContext as makeEx } from '@terascope/job-components';
import { spawnAssetLoader } from '../assets/spawn.js';
export async function makeExecutionContext(context, executionConfig) {
    const assetIds = await spawnAssetLoader(executionConfig.assets, context);
    const config = {
        context,
        executionConfig,
        assetIds,
    };
    return makeEx(config);
}
//# sourceMappingURL=execution-context.js.map