import { isString, isArray, truncate, } from '@terascope/utils';
function formatVal(value) {
    if (isString(value))
        return `"${value}"`;
    if (isArray(value))
        return `[${value.join(', ')}]`;
    return truncate(JSON.stringify(value), 30);
}
function format(input) {
    const list = [];
    for (const [key, value] of Object.entries(input)) {
        list.push(`${key}: ${formatVal(value)}`);
    }
    return list.join(', ');
}
// TODO: fix type here
export function logOpStats(logger, slice, analyticsData) {
    const { request, ...record } = slice;
    const obj = Object.assign({}, record, analyticsData);
    logger.info(`analytics for slice: ${format(obj)}`);
}
//# sourceMappingURL=op-analytics.js.map